Retrieve details of a specific Google Ads account

http
GET https://services.leadconnectorhq.com/ad-publishing/google/ad-accounts/{adAccountId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
adAccountIdstringYesact_abc123Ad account identifier

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesHChooFuiyPpVYzeJ4HMeAccount identifier

Responses

200 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/google/ad-accounts/YOUR_adAccountId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?